%define upstream_name    Curses-UI
%define upstream_version 0.9609

%{?perl_default_filter}
# Prevent useless requires on "perl >= 1:5" that pulls perl instead of perl-base:
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}1:5

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 15

Summary:    A curses based perl OO user interface framework
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Curses/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     Curses-UI-0.95-more-Listbox-alike-Popupmenu.patch
Patch2:     Curses-UI-0.95-add-method-to-modify-button-label.patch
Patch3:     Curses-UI-0.95-allow-setting-active-line.patch
Patch4:     Curses-UI-0.9607-focus-up-and-focus-down.patch
Patch5:     Curses-UI-0.95-make-dialog-message-focusable-if-scrolled.patch
Patch6:     Curses-UI-0.95-new-Container-method--delete_object.patch
Patch7:     Curses-UI-0.95-do-not-replace-last-char-with-overflow-char.patch
Patch8:     Curses-UI-0.9607-gpm-does-not-work--hide-error-for-now.patch
Patch9:     Curses-UI-0.95-only-redraw-Listbox-when-needed-otherwise-it-occurs-after-focus-next.patch

BuildRequires: perl(Curses)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(Term::ReadKey)
BuildArch:  noarch

Requires:   perl(Curses)
Requires:   perl(Term::ReadKey)
%description
A UI framework based on the curses library. Curses::UI contains
several widgets which can be used to build a user interface.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch0 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1

# perl path hack
find . -type f | xargs perl -p -i -e "s|^#\!/usr/local/bin/perl|#\!/usr/bin/perl|g"

%build

%{__perl} Makefile.PL INSTALLDIRS=vendor

%make OPTIMIZE="%{optflags}"

%check
# need setting COLUMNS and LINES to help it getting "Terminal Size" under nohup or iurt
COLUMNS=80 LINES=25 make test

%install
%make_install

%files
%doc CREDITS Changes INSTALL META.yml README examples
%{perl_vendorlib}/Curses
%{_mandir}/*/*


%changelog
* Sat Feb 15 2020 umeabot <umeabot> 0.960.900-15.mga8
+ Revision: 1528734
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Mon Aug 26 2019 tmb <tmb> 0.960.900-14.mga8
+ Revision: 1432576
- rebuild for perl 5.30

* Thu Sep 20 2018 umeabot <umeabot> 0.960.900-13.mga7
+ Revision: 1282589
- Mageia 7 Mass Rebuild

* Thu Aug 09 2018 tv <tv> 0.960.900-12.mga7
+ Revision: 1250615
- rebuild for perl-5.28

* Mon Oct 02 2017 tv <tv> 0.960.900-11.mga7
+ Revision: 1163737
- rebuild with fixed rpm for missing autodeps

* Thu Sep 21 2017 tv <tv> 0.960.900-10.mga7
+ Revision: 1156613
- add missing BR

* Mon Jun 06 2016 tv <tv> 0.960.900-9.mga6
+ Revision: 1020403
- unbloat default install: prevent pulling full perl...

* Mon Jun 06 2016 tv <tv> 0.960.900-8.mga6
+ Revision: 1020368
- unbloat default install: prevent examples to pull requires...

* Thu Feb 04 2016 umeabot <umeabot> 0.960.900-7.mga6
+ Revision: 934452
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.960.900-6.mga5
+ Revision: 748536
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.960.900-5.mga5
+ Revision: 684077
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 tv <tv> 0.960.900-4.mga5
+ Revision: 632065
- rebuild for new perl

* Fri Oct 18 2013 umeabot <umeabot> 0.960.900-3.mga4
+ Revision: 510376
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.960.900-2.mga3
+ Revision: 364980
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Sep 02 2011 kharec <kharec> 0.960.900-1.mga2
+ Revision: 138050
- update to 0.9609

* Thu Sep 01 2011 jquelin <jquelin> 0.960.800-1.mga2
+ Revision: 137538
- update to 0.9608

* Wed Jan 19 2011 jquelin <jquelin> 0.960.700-1.mga1
+ Revision: 24293
- fix specs
- imported package perl-Curses-UI

